const routes = [
  {
    path: '/',
    component: () => import('layouts/FullscreenLayout.vue'),
    children: [
      { path: '', component: () => import('pages/Index.vue') }
    ]
  },
  {
    path: '/',
    component: () => import('layouts/DefaultLayout.vue'),
    children: [
      { path: 'dashboard', component: () => import('pages/Dashboard.vue') },
      { path: 'category/:categoryCode', props: true, component: () => import('pages/StockItems.vue') },
      { path: 'item/:itemRef', props: true, component: () => import('pages/StockItem.vue') },
      { path: 'print-settings', props: true, component: () => import('pages/PrintSettings.vue') },
      { path: 'tasks', props: true, component: () => import('pages/TasksPage.vue') },
      { path: ':shortId', props: true, component: () => import('pages/StockItem.vue') }
    ]
  }
]

export default routes
